"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.adsViewEventEmitter = exports.FluentAdFlowWidgetView = void 0;
exports.initAdsSdk = initAdsSdk;
var _reactNative = require("react-native");
const LINKING_ERROR = `The package 'fluent.adflow.reactnativesdk' doesn't seem to be linked. Make sure: \n\n` + _reactNative.Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo Go\n';
const adsViewEventEmitter = _reactNative.DeviceEventEmitter;
exports.adsViewEventEmitter = adsViewEventEmitter;
const ComponentName = 'FluentAdFlowWidgetView';
const FluentAdFlowWidgetView = _reactNative.UIManager.getViewManagerConfig(ComponentName) != null ? (0, _reactNative.requireNativeComponent)(ComponentName) : () => {
  throw new Error(LINKING_ERROR);
};
exports.FluentAdFlowWidgetView = FluentAdFlowWidgetView;
const FluentAdFlowWidget = _reactNative.NativeModules.FluentAdFlowAdsSdk ? _reactNative.NativeModules.FluentAdFlowAdsSdk : new Proxy({}, {
  get() {}
});
function initAdsSdk(apiKey, referer) {
  return FluentAdFlowWidget.initSdk(apiKey, referer);
}

// export {FluentAdFlowEmbededView}
//# sourceMappingURL=index.js.map