import { requireNativeComponent, UIManager, Platform, NativeModules, DeviceEventEmitter } from 'react-native';
const LINKING_ERROR = `The package 'fluent.adflow.reactnativesdk' doesn't seem to be linked. Make sure: \n\n` + Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo Go\n';
export const adsViewEventEmitter = DeviceEventEmitter;
const ComponentName = 'FluentAdFlowWidgetView';
export const FluentAdFlowWidgetView = UIManager.getViewManagerConfig(ComponentName) != null ? requireNativeComponent(ComponentName) : () => {
  throw new Error(LINKING_ERROR);
};
const FluentAdFlowWidget = NativeModules.FluentAdFlowAdsSdk ? NativeModules.FluentAdFlowAdsSdk : new Proxy({}, {
  get() {}
});
export function initAdsSdk(apiKey, referer) {
  return FluentAdFlowWidget.initSdk(apiKey, referer);
}

// export {FluentAdFlowEmbededView}
//# sourceMappingURL=index.js.map